'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var ButtonBase = require('./ButtonBase.js');
require('./extends-338edd51.js');
require('./index-00b34fc0.js');
require('styled-components');
require('./FocusVisible.js');
require('./defineProperty-26e0e7dd.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var ButtonBase_stories = {
  title: 'pocketUI/ButtonBase',
  component: ButtonBase["default"],
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'Log in'
    },
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    display: {
      control: {
        type: 'select',
        options: ['auto', 'all', 'icon', 'label']
      },
      defaultValue: 'auto'
    },
    external: {
      control: {
        type: 'boolean',
        defaultValue: false
      }
    },
    href: {
      control: 'text',
      defaultValue: ''
    }
  }
};

const Template = args => /*#__PURE__*/React__default["default"].createElement(ButtonBase["default"], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = ButtonBase_stories;
//# sourceMappingURL=ButtonBase.stories.js.map
