'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var CheckBox = require('./CheckBox.js');
require('./extends-338edd51.js');
require('./index-00b34fc0.js');
require('./defineProperty-26e0e7dd.js');
require('styled-components');
require('./web-73b24345.js');
require('react-dom');
require('./FocusVisible.js');
require('./miscellaneous.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./color.js');
require('./springs.js');
require('./constants.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var CheckBox_stories = {
  title: 'pocketUI/CheckBox',
  component: CheckBox["default"],
  argTypes: {
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    checked: {
      control: 'boolean',
      defaultValue: false
    },
    indeterminate: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => /*#__PURE__*/React__default["default"].createElement(CheckBox["default"], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = CheckBox_stories;
//# sourceMappingURL=CheckBox.stories.js.map
