'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Help = require('./Help.js');
require('styled-components');
require('./index-00b34fc0.js');
require('./index-0f4db78b.js');
require('./DiscButton.js');
require('./extends-338edd51.js');
require('./ButtonBase.js');
require('./FocusVisible.js');
require('./defineProperty-26e0e7dd.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./constants.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');
require('./Popover.js');
require('./web-73b24345.js');
require('react-dom');
require('./prop-types-de58d4ad.js');
require('./RootPortal.js');
require('./Root.js');
require('./components.js');
require('./springs.js');
require('./IconQuestion.js');
require('./IconPropTypes-dbae899e.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Help_stories = {
  title: 'pocketUI/Help',
  component: Help["default"],
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'I am a help hint. Here you will get useful information about something, if implemented correctly!'
    },
    hint: {
      control: 'text',
      defaultValue: 'What is this for?'
    }
  }
};

const Template = args => {
  return /*#__PURE__*/React__default["default"].createElement(Help["default"], args);
};

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = Help_stories;
//# sourceMappingURL=Help.stories.js.map
