'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var index = require('./index-00b34fc0.js');
var index$1 = require('./index-fa86d8ba.js');
var BaseStyles = require('./BaseStyles.js');
var ToastHub = require('./ToastHub.js');
var Root = require('./Root.js');
var Theme = require('./Theme.js');
require('./extends-338edd51.js');
require('styled-components');
require('./text-styles.js');
require('./font.js');
require('./defineProperty-26e0e7dd.js');
require('./web-73b24345.js');
require('react-dom');
require('./RootPortal.js');
require('./components.js');
require('./constants.js');
require('./springs.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function Main(_ref) {
  let {
    children,
    theme = 'dark'
  } = _ref;
  return /*#__PURE__*/React__default["default"].createElement(Root.Root.Provider, null, /*#__PURE__*/React__default["default"].createElement(BaseStyles["default"], null), /*#__PURE__*/React__default["default"].createElement(Theme.Theme, {
    theme: theme
  }, /*#__PURE__*/React__default["default"].createElement(index$1.de, null, /*#__PURE__*/React__default["default"].createElement(ToastHub["default"], null, children))));
}
Main.propTypes = {
  children: index.PropTypes.node,
  theme: index.PropTypes.string
};

exports["default"] = Main;
//# sourceMappingURL=Main.js.map
