'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var Switch = require('./Switch.js');
require('styled-components');
require('./index-00b34fc0.js');
require('./web-73b24345.js');
require('react-dom');
require('./FocusVisible.js');
require('./defineProperty-26e0e7dd.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./constants.js');
require('./springs.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var Switch_stories = {
  title: 'pocketUI/Switch',
  component: Switch["default"],
  argTypes: {
    checked: {
      control: 'boolean',
      defaultValue: false
    },
    disabled: {
      control: {
        type: 'boolean',
        defaultValue: false
      }
    }
  }
};

const Template = args => /*#__PURE__*/React__default["default"].createElement(Switch["default"], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = Switch_stories;
//# sourceMappingURL=Switch.stories.js.map
