import React from 'react';
import CheckBoxWithTheme from './CheckBox.js';

var CheckBox_stories = {
  title: 'pocketUI/CheckBox',
  component: CheckBoxWithTheme,
  argTypes: {
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    checked: {
      control: 'boolean',
      defaultValue: false
    },
    indeterminate: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(CheckBoxWithTheme, args);

const Primary = Template.bind({});

export { Primary, CheckBox_stories as default };
//# sourceMappingURL=CheckBox.stories.js.map
