import React from 'react';
import Help from './Help.js';

var Help_stories = {
  title: 'pocketUI/Help',
  component: Help,
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'I am a help hint. Here you will get useful information about something, if implemented correctly!'
    },
    hint: {
      control: 'text',
      defaultValue: 'What is this for?'
    }
  }
};

const Template = args => {
  return /*#__PURE__*/React.createElement(Help, args);
};

const Primary = Template.bind({});

export { Primary, Help_stories as default };
//# sourceMappingURL=Help.stories.js.map
