import React from 'react';
import LineChart from './LineChart.js';

var LineChart_stories = {
  title: 'pocketUI/LineChart',
  component: LineChart
};
const LINES = [{
  id: 1,
  values: [0.1, 0.2, 0.3, 0]
}];
const LABELS = ['', '', '', ''];

const Template = args => {
  return /*#__PURE__*/React.createElement(LineChart, {
    lines: LINES,
    springConfig: {
      mass: 1,
      tension: 120,
      friction: 80
    },
    label: index => LABELS[index],
    height: 90,
    color: () => `#1B2331`
  });
};

const Primary = Template.bind({});

export { Primary, LineChart_stories as default };
//# sourceMappingURL=LineChart.stories.js.map
