import React from 'react';
import PropTypes from '../../../node_modules/.pnpm/prop-types@15.7.2/node_modules/prop-types/index.js';
import { ViewportProvider as de } from '../../../node_modules/.pnpm/use-viewport@0.2.0_react@16.14.0/node_modules/use-viewport/dist/index.js';
import BaseStyles from '../BaseStyles/BaseStyles.js';
import ToastHubProvider from '../ToastHub/ToastHub.js';
import { Root } from '../Root/Root.js';
import { Theme } from '../../theme/Theme.js';

function Main(_ref) {
  let {
    children,
    theme = 'dark'
  } = _ref;
  return /*#__PURE__*/React.createElement(Root.Provider, null, /*#__PURE__*/React.createElement(BaseStyles, null), /*#__PURE__*/React.createElement(Theme, {
    theme: theme
  }, /*#__PURE__*/React.createElement(de, null, /*#__PURE__*/React.createElement(ToastHubProvider, null, children))));
}
Main.propTypes = {
  children: PropTypes.node,
  theme: PropTypes.string
};

export { Main as default };
//# sourceMappingURL=Main.js.map
