import React from 'react';
import Switch from './Switch.js';

var Switch_stories = {
  title: 'pocketUI/Switch',
  component: Switch,
  argTypes: {
    checked: {
      control: 'boolean',
      defaultValue: false
    },
    disabled: {
      control: {
        type: 'boolean',
        defaultValue: false
      }
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(Switch, args);

const Primary = Template.bind({});

export { Primary, Switch_stories as default };
//# sourceMappingURL=Switch.stories.js.map
