import _extends from '../../../node_modules/.pnpm/@babel_runtime@7.16.3/node_modules/@babel/runtime/helpers/extends.js';
import _styled from 'styled-components';
import React from 'react';
import PropTypes from '../../prop-types.js';
import { useTheme } from '../../theme/Theme.js';
import { GU } from '../../style/constants.js';

function ContentContainerDefault(_ref) {
  let {
    align,
    ...props
  } = _ref;
  return /*#__PURE__*/React.createElement(_StyledDiv, _extends({}, props, {
    $_css: align === 'right' ? 'flex-end' : 'space-between'
  }));
}

ContentContainerDefault.propTypes = {
  align: PropTypes.string
};

function TableCell(_ref2) {
  let {
    children,
    contentContainer: Container,
    align,
    ...props
  } = _ref2;
  const theme = useTheme();
  return /*#__PURE__*/React.createElement(_StyledTd, _extends({}, props, {
    $_css2: 2.5 * GU,
    $_css3: theme.surface,
    $_css4: align
  }), /*#__PURE__*/React.createElement(Container, {
    align: align
  }, children));
}

TableCell.propTypes = {
  align: PropTypes.string,
  contentContainer: PropTypes._component,
  children: PropTypes.node
};
TableCell.defaultProps = {
  align: 'left',
  contentContainer: ContentContainerDefault
}; // Compatibility (not sure this is used at all?)

var _StyledDiv = _styled("div").withConfig({
  displayName: "TableCell___StyledDiv",
  componentId: "sc-1mxjwwk-0"
})(["display:flex;align-items:center;justify-content:", ";"], p => p.$_css);

var _StyledTd = _styled("td").withConfig({
  displayName: "TableCell___StyledTd",
  componentId: "sc-1mxjwwk-1"
})(["padding:", "px;background:", ";text-align:", ";"], p => p.$_css2, p => p.$_css3, p => p.$_css4);

export { ContentContainerDefault as StyledTableCellContent, TableCell as default };
//# sourceMappingURL=TableCell.js.map
