'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-338edd51.js');
var React = require('react');
var index = require('./index-00b34fc0.js');
var _styled = require('styled-components');
var Theme = require('./Theme.js');
var textStyles = require('./text-styles.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./font.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

const BaseStyles = /*#__PURE__*/React__default["default"].memo(function BaseStyles(props) {
  const theme = Theme.useTheme();
  return /*#__PURE__*/React__default["default"].createElement(GlobalStyle, _extends._extends({}, props, {
    theme: theme,
    textStyleCss: textStyles.textStyle('body2')
  }));
});
BaseStyles.propTypes = {
  publicUrl: index.PropTypes.string,
  fontFamily: index.PropTypes.string
};
BaseStyles.defaultProps = {
  publicUrl: '/'
};
const GlobalStyle = _styled.createGlobalStyle(["*,*:before,*:after{box-sizing:border-box;}*::-webkit-scrollbar{width:0 !important}*{overflow:-moz-scrollbars-none;-ms-overflow-style:none;}html{-webkit-overflow-scrolling:touch;}body{height:0;min-height:100vh;color:", ";font-family:'Manrope',Helvetica,serif;", ";}html,body{overflow:hidden;overflow-y:visible;}body,ul,p,h1,h2,h3,h4,h5,h6{margin:0;padding:0;}button,select,input,textarea,h1,h2,h3,h4,h5,h6{font-size:inherit;font-family:inherit;font-weight:inherit;line-height:inherit;}a,button,select,input,textarea{color:inherit;}strong,b{font-weight:600;}::selection{background:", ";color:", ";}"], p => p.theme.content, p => p.textStyleCss, p => p.theme.selected, p => p.theme.selectedContent);

exports["default"] = BaseStyles;
//# sourceMappingURL=BaseStyles.js.map
