'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-338edd51.js');
var _styled = require('styled-components');
var React = require('react');
var index = require('./index-00b34fc0.js');
var ButtonBase = require('./ButtonBase.js');
var constants = require('./constants.js');
require('./FocusVisible.js');
require('./defineProperty-26e0e7dd.js');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./keycodes.js');
require('./text-styles.js');
require('./font.js');
require('./css.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function ButtonIcon(_ref) {
  let {
    label,
    children,
    ...props
  } = _ref;
  return /*#__PURE__*/React__default["default"].createElement(_StyledButtonBase, _extends._extends({
    title: label
  }, props, {
    $_css: 4 * constants.GU,
    $_css2: 4 * constants.GU
  }), children);
}

ButtonIcon.propTypes = {
  label: index.PropTypes.string.isRequired,
  children: index.PropTypes.node.isRequired
};

var _StyledButtonBase = _styled__default["default"](ButtonBase["default"]).withConfig({
  displayName: "ButtonIcon___StyledButtonBase",
  componentId: "sc-1si3a0g-0"
})(["display:inline-flex;justify-content:center;align-items:center;width:", "px;height:", "px;&:active{background:rgba(220,234,239,0.3);}"], p => p.$_css, p => p.$_css2);

exports["default"] = ButtonIcon;
//# sourceMappingURL=ButtonIcon.js.map
