'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var CircleGraph = require('./CircleGraph.js');
require('styled-components');
require('./index-00b34fc0.js');
require('./web-73b24345.js');
require('react-dom');
require('./Theme.js');
require('./theme-dark.js');
require('./theme-light.js');
require('./environment.js');
require('./miscellaneous.js');
require('./color.js');
require('./math.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var CircleGraph_stories = {
  title: 'pocketUI/CircleGraph',
  component: CircleGraph["default"],
  argTypes: {
    value: {
      control: 'number',
      defaultValue: 0.5
    }
  }
};

const Template = args => /*#__PURE__*/React__default["default"].createElement(CircleGraph["default"], args);

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = CircleGraph_stories;
//# sourceMappingURL=CircleGraph.stories.js.map
