'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-338edd51.js');
var React = require('react');
var IconPropTypes = require('./IconPropTypes-dbae899e.js');
require('./index-00b34fc0.js');
require('./index-0f4db78b.js');
require('./constants.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function IconCopy(_ref) {
  let {
    size,
    ...props
  } = _ref;
  const sizeValue = IconPropTypes.useIconSize(size);
  return /*#__PURE__*/React__default["default"].createElement("svg", _extends._extends({
    width: sizeValue,
    height: sizeValue,
    viewBox: "0 0 16 16",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg"
  }, props), /*#__PURE__*/React__default["default"].createElement("path", {
    d: "M6.36951 1.30435H12.1956C13.3002 1.30435 14.1956 2.19978 14.1956 3.30435V9.85607",
    stroke: "currentColor",
    "stroke-width": "2",
    "stroke-linecap": "round",
    "stroke-linejoin": "round"
  }), /*#__PURE__*/React__default["default"].createElement("rect", {
    x: "1.80432",
    y: "5.21738",
    width: "8.47826",
    height: "8.47826",
    rx: "2",
    stroke: "currentColor",
    "stroke-width": "2",
    "stroke-linecap": "round",
    "stroke-linejoin": "round"
  }));
}

IconCopy.propTypes = IconPropTypes.IconPropTypes;

exports["default"] = IconCopy;
//# sourceMappingURL=IconCopy.js.map
