'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');
var LineChart = require('./LineChart.js');
require('./extends-338edd51.js');
require('./index-00b34fc0.js');
require('styled-components');
require('./web-73b24345.js');
require('react-dom');
require('./prop-types-de58d4ad.js');
require('./css.js');
require('./constants.js');
require('./springs.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

var LineChart_stories = {
  title: 'pocketUI/LineChart',
  component: LineChart["default"]
};
const LINES = [{
  id: 1,
  values: [0.1, 0.2, 0.3, 0]
}];
const LABELS = ['', '', '', ''];

const Template = args => {
  return /*#__PURE__*/React__default["default"].createElement(LineChart["default"], {
    lines: LINES,
    springConfig: {
      mass: 1,
      tension: 120,
      friction: 80
    },
    label: index => LABELS[index],
    height: 90,
    color: () => `#1B2331`
  });
};

const Primary = Template.bind({});

exports.Primary = Primary;
exports["default"] = LineChart_stories;
//# sourceMappingURL=LineChart.stories.js.map
