'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _extends = require('./extends-338edd51.js');
var _styled = require('styled-components');
var React = require('react');
var index = require('./index-00b34fc0.js');
var index$2 = require('./index-0f4db78b.js');
var index$1 = require('./index-fa86d8ba.js');
var constants = require('./constants.js');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var _styled__default = /*#__PURE__*/_interopDefaultLegacy(_styled);
var React__default = /*#__PURE__*/_interopDefaultLegacy(React);

function Split(_ref) {
  let {
    primary,
    secondary,
    invert,
    secondaryWidth,
    ...props
  } = _ref;
  const {
    within
  } = index$1.me();
  const oneColumn = within(-1, 'medium');
  const inverted = !oneColumn && invert === 'horizontal' || oneColumn && invert === 'vertical';
  const primaryContent = /*#__PURE__*/React__default["default"].createElement(index$2.i, {
    name: "Split:primary"
  }, /*#__PURE__*/React__default["default"].createElement(_StyledDiv, {
    $_css: !oneColumn && inverted ? 4 * constants.GU : 0,
    $_css2: oneColumn && inverted ? 4 * constants.GU : 0
  }, primary));
  const secondaryContent = /*#__PURE__*/React__default["default"].createElement(index$2.i, {
    name: "Split:secondary"
  }, /*#__PURE__*/React__default["default"].createElement(_StyledDiv2, {
    $_css3: secondaryWidth && !oneColumn ? secondaryWidth : oneColumn ? '100%' : `${46 * constants.GU}px`,
    $_css4: !oneColumn && !inverted ? 4 * constants.GU : 0,
    $_css5: oneColumn && !inverted ? 4 * constants.GU : 0
  }, secondary));
  return /*#__PURE__*/React__default["default"].createElement(index$2.i, {
    name: "Split"
  }, /*#__PURE__*/React__default["default"].createElement(_StyledDiv3, _extends._extends({}, props, {
    $_css6: oneColumn ? 'block' : 'flex'
  }), inverted ? secondaryContent : primaryContent, inverted ? primaryContent : secondaryContent));
}

Split.propTypes = {
  invert: index.PropTypes.oneOf(['none', 'horizontal', 'vertical']),
  primary: index.PropTypes.node,
  secondary: index.PropTypes.node,
  secondaryWidth: index.PropTypes.string
};
Split.defaultProps = {
  invert: 'none'
};

var _StyledDiv = _styled__default["default"]("div").withConfig({
  displayName: "Split___StyledDiv",
  componentId: "sc-15h5hna-0"
})(["flex-grow:1;margin-left:", "px;padding-top:", "px;"], p => p.$_css, p => p.$_css2);

var _StyledDiv2 = _styled__default["default"]("div").withConfig({
  displayName: "Split___StyledDiv2",
  componentId: "sc-15h5hna-1"
})(["flex-shrink:0;flex-grow:0;width:", ";margin-left:", "px;padding-top:", "px;"], p => p.$_css3, p => p.$_css4, p => p.$_css5);

var _StyledDiv3 = _styled__default["default"]("div").withConfig({
  displayName: "Split___StyledDiv3",
  componentId: "sc-15h5hna-2"
})(["display:", ";width:100%;"], p => p.$_css6);

exports.Split = Split;
exports["default"] = Split;
//# sourceMappingURL=Split.js.map
