import _extends from '../../../node_modules/.pnpm/@babel_runtime@7.16.3/node_modules/@babel/runtime/helpers/extends.js';
import React from 'react';
import PropTypes from '../../../node_modules/.pnpm/prop-types@15.7.2/node_modules/prop-types/index.js';
import { createGlobalStyle } from 'styled-components';
import { useTheme } from '../../theme/Theme.js';
import { textStyle } from '../../style/text-styles.js';

const BaseStyles = /*#__PURE__*/React.memo(function BaseStyles(props) {
  const theme = useTheme();
  return /*#__PURE__*/React.createElement(GlobalStyle, _extends({}, props, {
    theme: theme,
    textStyleCss: textStyle('body2')
  }));
});
BaseStyles.propTypes = {
  publicUrl: PropTypes.string,
  fontFamily: PropTypes.string
};
BaseStyles.defaultProps = {
  publicUrl: '/'
};
const GlobalStyle = createGlobalStyle(["*,*:before,*:after{box-sizing:border-box;}*::-webkit-scrollbar{width:0 !important}*{overflow:-moz-scrollbars-none;-ms-overflow-style:none;}html{-webkit-overflow-scrolling:touch;}body{height:0;min-height:100vh;color:", ";font-family:'Manrope',Helvetica,serif;", ";}html,body{overflow:hidden;overflow-y:visible;}body,ul,p,h1,h2,h3,h4,h5,h6{margin:0;padding:0;}button,select,input,textarea,h1,h2,h3,h4,h5,h6{font-size:inherit;font-family:inherit;font-weight:inherit;line-height:inherit;}a,button,select,input,textarea{color:inherit;}strong,b{font-weight:600;}::selection{background:", ";color:", ";}"], p => p.theme.content, p => p.textStyleCss, p => p.theme.selected, p => p.theme.selectedContent);

export { BaseStyles as default };
//# sourceMappingURL=BaseStyles.js.map
