import React from 'react';
import Button from './Button.js';

var Button_stories = {
  title: 'pocketUI/Button',
  component: Button,
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'Log in'
    },
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    display: {
      control: {
        type: 'select',
        options: ['auto', 'all', 'icon', 'label']
      },
      defaultValue: 'auto'
    },
    mode: {
      control: {
        type: 'select',
        options: ['normal', 'strong', 'positive', 'negative']
      }
    },
    size: {
      control: {
        type: 'select',
        options: ['medium', 'small', 'mini']
      },
      defaultValue: 'medium'
    },
    wide: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(Button, args);

const Primary = Template.bind({});

export { Primary, Button_stories as default };
//# sourceMappingURL=Button.stories.js.map
