import React from 'react';
import ButtonBaseWithFocus from './ButtonBase.js';

var ButtonBase_stories = {
  title: 'pocketUI/ButtonBase',
  component: ButtonBaseWithFocus,
  argTypes: {
    children: {
      control: 'text',
      defaultValue: 'Log in'
    },
    disabled: {
      control: 'boolean',
      defaultValue: false
    },
    display: {
      control: {
        type: 'select',
        options: ['auto', 'all', 'icon', 'label']
      },
      defaultValue: 'auto'
    },
    external: {
      control: {
        type: 'boolean',
        defaultValue: false
      }
    },
    href: {
      control: 'text',
      defaultValue: ''
    }
  }
};

const Template = args => /*#__PURE__*/React.createElement(ButtonBaseWithFocus, args);

const Primary = Template.bind({});

export { Primary, ButtonBase_stories as default };
//# sourceMappingURL=ButtonBase.stories.js.map
