import _extends from '../../../node_modules/.pnpm/@babel_runtime@7.16.3/node_modules/@babel/runtime/helpers/extends.js';
import React from 'react';
import Button from '../Button/Button.js';
import Popover from './Popover.js';

var Popover_stories = {
  title: 'pocketUI/Popover',
  component: Popover,
  argTypes: {
    visible: {
      control: 'boolean',
      defaultValue: false
    }
  }
};

const Template = args => {
  const opener = /*#__PURE__*/React.createRef();
  return /*#__PURE__*/React.createElement("div", null, /*#__PURE__*/React.createElement(Button, {
    onClick: () => {},
    ref: opener
  }, "Show"), /*#__PURE__*/React.createElement(Popover, _extends({
    visible: args.visible || false,
    opener: opener.current
  }, args), "Hey"));
};

const Primary = Template.bind({});

export { Primary, Popover_stories as default };
//# sourceMappingURL=Popover.stories.js.map
