import _styled from 'styled-components';

function getHeight(_ref) {
  let {
    axis,
    size
  } = _ref;
  return axis === 'horizontal' ? 1 : size;
}

function getWidth(_ref2) {
  let {
    axis,
    size
  } = _ref2;
  return axis === 'vertical' ? 1 : size;
}

const Spacer = _styled.span.withConfig({
  displayName: "Spacer",
  componentId: "sc-1rnfw8x-0"
})(["display:block;width:", "px;min-width:", "px;height:", "px;min-height:", "px;"], getWidth, getWidth, getHeight, getHeight);

export { Spacer as default };
//# sourceMappingURL=Spacer.js.map
